﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Net;
using System.IO;
using System.Xml;

namespace TwitterDisplay
{
    public class TwitterGetter
    {

        // http://twitter.com/statuses/replies.xml

        public static XmlDocument GetStatus(string username, string password)
        {
            XmlDocument retdoc = new XmlDocument();
                
            try

            {
                // encode the username/password
                string user = Convert.ToBase64String(System.Text.Encoding.UTF8.GetBytes(username + ":" + password));
                // determine what we want to upload as a status
                // connect with the update page
                HttpWebRequest request = (HttpWebRequest)WebRequest.Create("http://twitter.com/statuses/replies.xml");
                //request.Proxy = System.Net.WebProxy.GetDefaultProxy();
                // set the method to POST
                request.Method = "POST";
                //request.ServicePoint.Expect100Continue = false; // thanks to argodev for this recent change!
                // set the authorisation levels
                request.Headers.Add("Authorization", "Basic " + user);
                request.ContentType = "application/x-www-form-urlencoded";
                // set the length of the content
                request.ContentLength = 0;

                WebResponse res = request.GetResponse();
                retdoc.Load(res.GetResponseStream());
                res.Close();

            }
            catch  (Exception e)
                {
                string ex=e.Message;
            }
            return retdoc;
        }

    }
}
