﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TwitterDisplay
{
    public partial class frmsettings : Form
    {
        public frmsettings()
        {
            InitializeComponent();
        }

        private void mnucancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
        }

        private void mnusave_Click(object sender, EventArgs e)
        {
            Settings.User=this.tbuser.Text ;
            Settings.Password=this.tbpassword.Text;
            this.DialogResult = DialogResult.OK;
        }

        private void frmsettings_Load(object sender, EventArgs e)
        {
            this.tbuser.Text = Settings.User;
            this.tbpassword.Text = Settings.Password;
            button_handler();
        }

        private void button_handler()
        {
            this.mnusave.Enabled = this.tbuser.Text.Length > 0 && this.tbpassword.Text.Length > 0;
        }

        private void tbuser_KeyUp(object sender, KeyEventArgs e)
        {
            button_handler();
        }

        private void tbpassword_KeyUp(object sender, KeyEventArgs e)
        {
            button_handler();
        }
    }
}